VERSION 5.00
Begin VB.Form frmFind 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Find"
   ClientHeight    =   1155
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4245
   ControlBox      =   0   'False
   HelpContextID   =   120
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1155
   ScaleWidth      =   4245
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkMatchCase 
      Caption         =   "Match &case"
      Height          =   195
      HelpContextID   =   120
      Left            =   135
      TabIndex        =   3
      Top             =   765
      Width           =   2805
   End
   Begin VB.CheckBox chkMatchWord 
      Caption         =   "Match &whole words"
      Height          =   195
      HelpContextID   =   120
      Left            =   135
      TabIndex        =   2
      Top             =   495
      Width           =   2805
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   330
      HelpContextID   =   120
      Left            =   3105
      TabIndex        =   5
      Top             =   495
      Width           =   1005
   End
   Begin VB.CommandButton cmdFindNext 
      Caption         =   "Find Next"
      Default         =   -1  'True
      Enabled         =   0   'False
      Height          =   330
      HelpContextID   =   120
      Left            =   3105
      TabIndex        =   4
      Top             =   90
      Width           =   1005
   End
   Begin VB.TextBox txtFindWhat 
      Height          =   285
      HelpContextID   =   120
      Left            =   1035
      TabIndex        =   1
      Top             =   90
      Width           =   1950
   End
   Begin VB.Label lblFindWhat 
      Caption         =   "Find what:"
      Height          =   195
      Left            =   135
      TabIndex        =   0
      Top             =   135
      Width           =   825
   End
End
Attribute VB_Name = "frmFind"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancel_Click()

    ' Hides form
    Me.Hide
    
    ' Ensures Rider Editor regains focus
    frmRdrEditor.SetFocus

End Sub

Private Sub cmdFindNext_Click()

    ' Determines text to find
    gFindText = txtFindWhat

    ' Determines whether to match whole words
    Select Case chkMatchWord.Value
        Case vbChecked
            gMatchWord = lvwWhole
        Case vbUnchecked
            gMatchWord = lvwPartial
    End Select

    ' Determines whether to match case
    Select Case chkMatchCase.Value
        Case vbChecked
            gMatchCase = vbBinaryCompare
        Case vbUnchecked
            gMatchCase = vbTextCompare
    End Select

    ' Starts search
    frmRdrEditor.SearchRecords
            
End Sub

Private Sub Form_Load()

    Me.Top = frmRdrEditor.Top + (frmRdrEditor.Height - Me.Height) / 2
    Me.Left = frmRdrEditor.Left + (frmRdrEditor.Width - Me.Width) / 2

End Sub

Private Sub txtFindWhat_Change()

    ' Enables/disables Find button
    If txtFindWhat = "" Then
        cmdFindNext.Enabled = False
    Else
        cmdFindNext.Enabled = True
    End If

End Sub
