VERSION 5.00
Begin VB.Form frmHeatMgr 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Heat ##"
   ClientHeight    =   3720
   ClientLeft      =   2910
   ClientTop       =   2100
   ClientWidth     =   5070
   ControlBox      =   0   'False
   HelpContextID   =   100
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3720
   ScaleWidth      =   5070
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.Frame fraReplacements 
      Caption         =   "Reserves"
      Height          =   1725
      HelpContextID   =   100
      Left            =   90
      TabIndex        =   1
      Top             =   1845
      Width           =   3570
      Begin VB.OptionButton optSubstitutes 
         Caption         =   "Rider Replacement"
         Height          =   240
         HelpContextID   =   100
         Index           =   3
         Left            =   135
         TabIndex        =   5
         Top             =   810
         Visible         =   0   'False
         Width           =   3255
      End
      Begin VB.OptionButton optSubstitutes 
         Caption         =   "Tactical Substitutes"
         Height          =   240
         HelpContextID   =   100
         Index           =   2
         Left            =   135
         TabIndex        =   4
         Top             =   540
         Visible         =   0   'False
         Width           =   3255
      End
      Begin VB.OptionButton optSubstitutes 
         Caption         =   "Reserves"
         Height          =   240
         HelpContextID   =   100
         Index           =   1
         Left            =   135
         TabIndex        =   3
         Top             =   270
         Value           =   -1  'True
         Visible         =   0   'False
         Width           =   3255
      End
      Begin VB.ListBox lstSubstitutes 
         Height          =   450
         HelpContextID   =   100
         Left            =   135
         TabIndex        =   7
         Top             =   1125
         Visible         =   0   'False
         Width           =   3290
      End
      Begin VB.ComboBox cboHandicap 
         Enabled         =   0   'False
         Height          =   315
         HelpContextID   =   100
         ItemData        =   "HeatMgr.frx":0000
         Left            =   2835
         List            =   "HeatMgr.frx":0019
         TabIndex        =   9
         Top             =   1260
         Visible         =   0   'False
         Width           =   555
      End
      Begin VB.Label lblHandicap 
         Caption         =   "&Handicap:"
         Height          =   240
         Left            =   2070
         TabIndex        =   8
         Top             =   1305
         Visible         =   0   'False
         Width           =   735
      End
      Begin VB.Label lblInfo 
         BorderStyle     =   1  'Fixed Single
         Caption         =   "Label1"
         Height          =   450
         Left            =   135
         TabIndex        =   6
         Top             =   1125
         Visible         =   0   'False
         Width           =   3285
      End
      Begin VB.Label lblSubstitutes 
         Caption         =   "Reserves:"
         Height          =   195
         Left            =   135
         TabIndex        =   2
         Top             =   270
         Visible         =   0   'False
         Width           =   3255
      End
   End
   Begin VB.ComboBox cboStarters 
      Height          =   315
      HelpContextID   =   100
      ItemData        =   "HeatMgr.frx":0038
      Left            =   4410
      List            =   "HeatMgr.frx":0051
      Style           =   2  'Dropdown List
      TabIndex        =   15
      Top             =   2070
      Visible         =   0   'False
      Width           =   555
   End
   Begin VB.ListBox lstLineup 
      Height          =   1620
      HelpContextID   =   100
      Left            =   90
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   135
      Width           =   3570
   End
   Begin VB.CommandButton cmdReset 
      Caption         =   "&Reset"
      Enabled         =   0   'False
      Height          =   375
      HelpContextID   =   100
      Left            =   3780
      TabIndex        =   13
      Top             =   1530
      Width           =   1185
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      HelpContextID   =   100
      Left            =   3780
      TabIndex        =   11
      Top             =   585
      Width           =   1185
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "&Start Race"
      Height          =   375
      HelpContextID   =   100
      Left            =   3780
      TabIndex        =   10
      Top             =   135
      Width           =   1185
   End
   Begin VB.CommandButton cmdWithdraw 
      Caption         =   "&Withdraw"
      Height          =   375
      HelpContextID   =   100
      Left            =   3780
      TabIndex        =   12
      Top             =   1080
      Width           =   1185
   End
   Begin VB.Label lblStarters 
      Alignment       =   1  'Right Justify
      Caption         =   "S&tarters:"
      Height          =   240
      Left            =   3780
      TabIndex        =   14
      Top             =   2115
      Visible         =   0   'False
      Width           =   600
   End
End
Attribute VB_Name = "frmHeatMgr"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
DefInt A-Z
Private pCurrRdr As Integer             ' Currently selected rider
Private pCurrSub As Integer             ' Currently selected substitute
Private pNumStarters As Integer         ' Revised number of riders in race
Private pLineup() As Integer            ' Revised race lineup
Private pTeamNo() As Integer            ' Maps race lineup to teams
Private pHandicap() As Integer          ' Revised handicaps
Private pRdrRep() As Integer            ' Records whether R/R is being used
Private pSubType() As Integer           ' Records type of substitution
Private pWithdrawn() As Integer         ' Records withdrawals
Option Explicit

Private Sub cboHandicap_Change()

    ' Configures rider handicap
    pHandicap(pCurrRdr) = Val(cboHandicap.Text)
    UpdateLineup pCurrRdr

End Sub

Private Sub cboHandicap_Click()

    ' Configures rider handicap
    pHandicap(pCurrRdr) = Val(cboHandicap.Text)
    UpdateLineup pCurrRdr
    
End Sub

Private Sub cboStarters_Click()
  
    ' Changes number of riders in race
    pNumStarters = Val(cboStarters.Text)
    ConfigForm
  
End Sub

Private Sub cmdCancel_Click()
  
    ' Exits Heat Editor without initiating race
    gFinished = 2
    Unload frmHeatMgr
  
End Sub

Private Sub cmdReset_Click()
  
    ' Resets original rider to line-up
    If gLineup(pCurrRdr, 2) = 0 And gLineup(pCurrRdr, 3) > 0 Then
        pLineup(pCurrRdr) = 0
        pRdrRep(pCurrRdr) = 0
        pHandicap(pCurrRdr) = 0
    Else
        pLineup(pCurrRdr) = gLineup(pCurrRdr, 1)
        pHandicap(pCurrRdr) = gLineup(pCurrRdr, 5)
    End If
    pSubType(pCurrRdr) = 0
    pWithdrawn(pCurrRdr) = 0
    cmdReset.Enabled = False
    
    UpdateLineup pCurrRdr
    UpdateSubList
  
End Sub

Private Sub cmdStart_Click()
  
    Dim a As Integer                            ' Counter variable
    
    ' Updates heat configuration
    If gGate = 0 Then
        For a = 1 To pNumStarters
            If gControl(pTeamNo(a)) = 1 Or gInteractive = 2 Then
                gLineup(a, 1) = pLineup(a)
                Select Case pSubType(a)
                    Case 1
                        If gLineup(a, 2) = 0 And gLineup(a, 3) > 0 Then
                            gNomRides(pLineup(a)) = 1
                        End If
                    Case 2
                        gTacSubRides(pLineup(a)) = 1
                    Case 3
                        If gLineup(a, 2) = 0 And gLineup(a, 3) > 0 Then
                            gNomRides(pRdrRep(a)) = 1
                        End If
                        gRdrRepRides(pLineup(a)) = 1
                End Select
                If pWithdrawn(a) = 1 Then
                    gRideCode(pLineup(a)) = 1
                End If
                gLineup(a, 5) = pHandicap(a)
            End If
        Next a
    Else
        If pLineup(gGate) <> gLineup(gGate, 1) Then
            If pSubType(gGate) = 1 Then
                gRideSub(gLineup(gGate, 1)) = 1
            End If
            gLineup(gGate, 1) = pLineup(gGate)
            gLineup(gGate, 5) = pHandicap(gGate)
            gGate = gGate - 1
        ElseIf pHandicap(gGate) > 0 Then
            gGate = gGate - 1
        End If
    End If
    
    gNumStarters = pNumStarters
    gFinished = 1
    
    Unload frmHeatMgr

End Sub

Private Sub cmdWithdraw_Click()
  
    ' Withdraws rider from race
    pWithdrawn(pCurrRdr) = 1
    cmdWithdraw.Enabled = False
    cmdReset.Enabled = True
    UpdateLineup pCurrRdr

End Sub

Private Sub Form_Load()
    
    ' Determines number of riders in race
    pNumStarters = gNumStarters
    
    ' Determines controls to show
    If gInteractive = 2 And gGate = 0 Then
        lblHandicap.Visible = True
        cboHandicap.Visible = True
        lblStarters.Visible = True
        cboStarters.Visible = True
        cboStarters.Text = Format(pNumStarters, "0")
    Else
        ConfigForm
    End If
      
End Sub

Private Sub lstLineup_Click()
  
    ' Changes currently selected rider
    pCurrRdr = lstLineup.ItemData(lstLineup.ListIndex)
    UpdateSubList
        
End Sub

Private Sub SelectSub()
  
    ' Makes substitution
    pLineup(pCurrRdr) = lstSubstitutes.ItemData(lstSubstitutes.ListIndex)
    If pLineup(pCurrRdr) <> 0 And pLineup(pCurrRdr) = gRdrRepFac(pTeamNo(pCurrRdr), 1) Then
        pRdrRep(pCurrRdr) = pLineup(pCurrRdr)
    End If
    pHandicap(pCurrRdr) = Handicap(pLineup(pCurrRdr))
    pSubType(pCurrRdr) = pCurrSub
    
    UpdateLineup pCurrRdr
    UpdateSubList
    
End Sub

Private Sub lstSubstitutes_DblClick()

    SelectSub
    
End Sub

Private Sub lstSubstitutes_KeyPress(KeyAscii As Integer)

    If KeyAscii = 13 Then SelectSub
        
End Sub

Private Sub optSubstitutes_Click(Index As Integer)
  
    ' Changes currently selected substitute type
    pCurrSub = Index
    UpdateSubList
  
End Sub

Public Sub UpdateSubList()
  
    Dim Reserves As Integer             ' Number of reserves
    Dim TeamRes As Integer              ' Determines use of Team Reserve
    Dim Rdr As Integer                  ' Temporary variable
    Dim a As Integer                    ' Counter variable
    Dim b As Integer                    ' Counter variable
    Dim ok As Integer                   ' Check variable
    
    ' Configures command buttons and handicap field
    
    If pLineup(pCurrRdr) <> gLineup(pCurrRdr, 1) Or pWithdrawn(pCurrRdr) = 1 Then
        cmdReset.Enabled = True
    Else
        cmdReset.Enabled = False
    End If
    
    If gRdrAvge(pLineup(pCurrRdr)) <> 0 And pWithdrawn(pCurrRdr) = 0 Then
        If gControl(pTeamNo(pCurrRdr)) = 1 Or gInteractive = 2 Then
            cmdWithdraw.Enabled = True
            cboHandicap.Enabled = True
        Else
            cmdWithdraw.Enabled = False
            cboHandicap.Enabled = False
        End If
    Else
        cmdWithdraw.Enabled = False
        cboHandicap.Enabled = False
    End If
    
    If pHandicap(pCurrRdr) = 0 Then
        cboHandicap.Text = ""
    Else
        cboHandicap.Text = Format(pHandicap(pCurrRdr))
    End If
    
    ' Displays team name if necessary
    If gNumTeams > 1 And gSupportComp = False And gInteractive <> 2 Then
        If gTmName(pTeamNo(pCurrRdr)) = "" And pTeamNo(pCurrRdr) <> 0 Then
            fraReplacements.Caption = "TEAM " + Format(pTeamNo(pCurrRdr), "0")
        Else
            fraReplacements.Caption = gTmName(pTeamNo(pCurrRdr))
        End If
    End If
    
    ' Determines status of Team Reserve
    If gNumGroups = 1 Or gResType < 2 Then Reserves = gNumRes
    If gRdrRepFac(pTeamNo(pCurrRdr), 2) > gNumRiders - Reserves - gTeamRes Then
        Reserves = Reserves + 1
    Else
        TeamRes = gTeamRes
    End If
    
    lstSubstitutes.Clear
            
    ' Creates a list of substitutes
    Select Case pCurrSub
        Case 1
            If gInteractive = 2 Then
                For a = 1 To 40
                    ok = 1
                    For b = 1 To pNumStarters
                        If a = pLineup(b) Or a = gLineup(b, 1) Then ok = 0
                    Next b
                    If ok = 1 Then
                        If gRdrName(a) <> "" And gRideCode(a) = 0 Then
                            lstSubstitutes.AddItem SubDetails(a)
                            lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = a
                        End If
                    End If
                Next a
            ElseIf gLineup(pCurrRdr, 2) > 0 And gLineup(pCurrRdr, 3) > 0 Then
                For a = gLineup(pCurrRdr, 2) To 8
                    Rdr = gHtDetail(gLineup(pCurrRdr, 3), a, 1)
                    ok = 1
                    For b = 1 To pNumStarters
                        If Rdr = pLineup(b) Or Rdr = gLineup(b, 1) Then ok = 0
                    Next b
                    If ok = 1 Then
                        If gRideCode(Rdr) = 0 And gRdrAvge(Rdr) <> 0 Then
                            lstSubstitutes.AddItem SubDetails(Rdr)
                            lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = Rdr
                        End If
                    End If
                Next a
                lblSubstitutes.Caption = "Reserves:"
                optSubstitutes(1).Caption = "Reserves"
            ElseIf gLineup(pCurrRdr, 2) > 0 Then
                For a = gLineup(pCurrRdr, 2) To gNumRiders
                    Rdr = gRdrRnk(RiderID(pTeamNo(pCurrRdr), a))
                    ok = 1
                    For b = 1 To pNumStarters
                        If Rdr = pLineup(b) Or Rdr = gLineup(b, 1) Then ok = 0
                    Next b
                    If ok = 1 Then
                        If gRideCode(Rdr) = 0 And gRdrAvge(Rdr) <> 0 Then
                            lstSubstitutes.AddItem SubDetails(Rdr)
                            lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = Rdr
                        End If
                    End If
                Next a
                lblSubstitutes.Caption = "Reserves:"
                optSubstitutes(1).Caption = "Reserves"
            ElseIf gLineup(pCurrRdr, 3) > 0 And gGate = 0 Then
                For a = gNomHighest To gNomLowest
                    Rdr = gRdrRnk(RiderID(pTeamNo(pCurrRdr), a))
                    If Rdr <= RiderID(pTeamNo(pCurrRdr), gNumRiders - Reserves - TeamRes) Or gResType = 1 Then
                        ok = 1
                        For b = 1 To pNumStarters
                            If Rdr = pLineup(b) Or Rdr = pRdrRep(b) Then
                                ok = 0
                            ElseIf Rdr = gRdrRepFac(gLineupNo(Rdr), 1) And gRdrRepMode = 0 Then
                                ok = 0
                            End If
                        Next b
                        If ok = 1 Then
                            If gNomRides(Rdr) = 0 And gRdrName(Rdr) <> "" Then
                                If Rdr = gRdrRepFac(gLineupNo(Rdr), 1) Then
                                    lstSubstitutes.AddItem "Rider Replacement"
                                Else
                                    lstSubstitutes.AddItem SubDetails(Rdr)
                                End If
                                lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = Rdr
                            End If
                        End If
                    End If
                Next a
                If gNumGroups <> 1 And gNumRes > 0 And gResType = 2 And gSupportComp = False Then
                    For a = 1 To gNumRes
                        Rdr = gNumGroups * gNumRiders + a
                        ok = 1
                        For b = 1 To pNumStarters
                            If Rdr = pLineup(b) Or Rdr = gLineup(b, 1) Then ok = 0
                        Next b
                        If lstSubstitutes.ListCount > 0 Then
                            For b = 1 To lstSubstitutes.ListCount
                                If Rdr = lstSubstitutes.ItemData(b - 1) Then ok = 0
                            Next b
                        End If
                        If ok = 1 Then
                            If gMaxResRides - gRideNum(Rdr) > gAvlRides(Rdr) And gRdrAvge(Rdr) <> 0 Then
                                lstSubstitutes.AddItem SubDetails(Rdr) + ", TR"
                                lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = Rdr
                            End If
                        End If
                    Next a
                ElseIf Reserves > 0 And gSupportComp = False Then
                    For a = gNumRiders - Reserves - TeamRes + 1 To gNumRiders - TeamRes
                        Rdr = gRdrStatus(RiderID(pTeamNo(pCurrRdr), a))
                        ok = 1
                        For b = 1 To pNumStarters
                            If Rdr = pLineup(b) Or Rdr = gLineup(b, 1) Then ok = 0
                        Next b
                        If lstSubstitutes.ListCount > 0 Then
                            For b = 1 To lstSubstitutes.ListCount
                                If Rdr = lstSubstitutes.ItemData(b - 1) Then ok = 0
                            Next b
                        End If
                        If ok = 1 Then
                            If gMaxResRides - gRideNum(Rdr) > gAvlRides(Rdr) And gRdrAvge(Rdr) <> 0 Then
                                lstSubstitutes.AddItem SubDetails(Rdr)
                                lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = Rdr
                            End If
                        End If
                    Next a
                End If
                lblSubstitutes.Caption = "Nominated Riders:"
                optSubstitutes(1).Caption = "Nominated Riders"
            ElseIf gNumGroups <> 1 And gNumRes > 0 And gResType = 2 And gSupportComp = False Then
                If gRunoff = 0 Then
                    For a = 1 To gNumRes
                        Rdr = gNumGroups * gNumRiders + a
                        ok = 1
                        For b = 1 To pNumStarters
                            If Rdr = pLineup(b) Or Rdr = gLineup(b, 1) Then ok = 0
                        Next b
                        If ok = 1 Then
                            If gRideSub(Rdr) = 0 And gRdrAvge(Rdr) <> 0 Then
                                If gMaxResRides - gRideNum(Rdr) > gAvlRides(Rdr) Then
                                    lstSubstitutes.AddItem SubDetails(Rdr)
                                    lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = Rdr
                                End If
                            End If
                        End If
                    Next a
                End If
                lblSubstitutes.Caption = "Track Reserves:"
                optSubstitutes(1).Caption = "Track Reserves"
            ElseIf Reserves > 0 And gSupportComp = False Then
                For a = gNumRiders - Reserves - TeamRes + 1 To gNumRiders - TeamRes
                    Rdr = gRdrStatus(RiderID(pTeamNo(pCurrRdr), a))
                    ok = 1
                    For b = 1 To pNumStarters
                        If Rdr = pLineup(b) Or Rdr = gLineup(b, 1) Then ok = 0
                    Next b
                    If ok = 1 Then
                        If gRideSub(Rdr) = 0 And gRdrAvge(Rdr) <> 0 Then
                            If gMaxResRides - gRideNum(Rdr) > gAvlRides(Rdr) Then
                                lstSubstitutes.AddItem SubDetails(Rdr)
                                lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = Rdr
                            End If
                        End If
                    End If
                Next a
                lblSubstitutes.Caption = "Reserves:"
                optSubstitutes(1).Caption = "Reserves"
            End If
        Case 2
            For a = 1 To gNumRiders
                Rdr = gRdrStatus(RiderID(pTeamNo(pCurrRdr), a))
                ok = 1
                For b = 1 To pNumStarters
                    If Rdr = pLineup(b) Or Rdr = gLineup(b, 1) Then ok = 0
                Next b
                If ok = 1 Then
                    If a <= gNumRiders - Reserves - TeamRes Or a > gNumRiders - TeamRes Then
                        If gTacSubRides(Rdr) = 0 And gRdrAvge(Rdr) <> 0 Then
                            lstSubstitutes.AddItem SubDetails(Rdr)
                            lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = Rdr
                        End If
                    End If
                End If
            Next a
        Case 3
            For a = 1 To gNumRiders
                Rdr = gRdrStatus(RiderID(pTeamNo(pCurrRdr), a))
                ok = 1
                For b = 1 To pNumStarters
                    If Rdr = pLineup(b) Or Rdr = gLineup(b, 1) Then ok = 0
                Next b
                If ok = 1 Then
                    If a <= gNumRiders - Reserves - TeamRes Then
                        If gRdrRepRides(Rdr) = 0 And gRdrAvge(Rdr) <> 0 Then
                            If a >= gRdrRepFac(gLineupNo(Rdr), 2) - gRdrRep Then
                                lstSubstitutes.AddItem SubDetails(Rdr)
                                lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = Rdr
                            End If
                        End If
                    ElseIf a > gNumRiders - TeamRes Then
                        If gRdrAvge(Rdr) <> 0 Then
                            lstSubstitutes.AddItem SubDetails(Rdr)
                            lstSubstitutes.ItemData(lstSubstitutes.NewIndex) = Rdr
                        End If
                    End If
                End If
            Next a
    End Select
                
    ' Shows substitute list or message
    If gControl(pTeamNo(pCurrRdr)) = 0 And gInteractive <> 2 Then
        lstSubstitutes.Visible = False
        lblInfo.Visible = True
        lblInfo.Caption = "The computer is controlling this team."
    ElseIf RideCalc(gLineup(pCurrRdr, 1)) = 1 And gSupportComp = False Then
        lstSubstitutes.Visible = False
        lblInfo.Visible = True
        lblInfo.Caption = "The selected rider may not be substituted until they have completed " + Format(gMinRides, "#0") + " rides."
    ElseIf gInteractive = 2 Then
        If lstSubstitutes.ListCount > 0 Then
            lstSubstitutes.Visible = True
            lblInfo.Visible = False
        Else
            lstSubstitutes.Visible = False
            lblInfo.Visible = True
            lblInfo.Caption = "No riders are available."
        End If
    ElseIf pCurrSub = 1 Then
        If gResUse < 7 And lstSubstitutes.ListCount > 0 Then
            lstSubstitutes.Visible = True
            lblInfo.Visible = False
        ElseIf gResUse = 7 Then
            lstSubstitutes.Visible = False
            lblInfo.Visible = True
            lblInfo.Caption = "Reserve Substitutions may not be made in this heat."
        ElseIf gResType = 2 And gRunoff > 0 Then
            lstSubstitutes.Visible = False
            lblInfo.Visible = True
            lblInfo.Caption = "Track Reserves may not be used in this heat."
        Else
            lstSubstitutes.Visible = False
            lblInfo.Visible = True
            lblInfo.Caption = "No Reserves are available."
        End If
    ElseIf pCurrSub = 2 Then
        If gTacMode > 0 And gHighTmScore - gTmScore(pTeamNo(pCurrRdr)) >= gTacEnable And lstSubstitutes.ListCount > 0 Then
            lstSubstitutes.Visible = True
            lblInfo.Visible = False
        ElseIf gTacMode = 0 Then
            lstSubstitutes.Visible = False
            lblInfo.Visible = True
            lblInfo.Caption = "Tactical Substitutions may not be made in  this heat."
        ElseIf gHighTmScore - gTmScore(pTeamNo(pCurrRdr)) < gTacEnable Then
            lstSubstitutes.Visible = False
            lblInfo.Visible = True
            lblInfo.Caption = "Tactical Substitutions may only be made when a team is " + Format(gTacEnable, "#0") + " or more points in arrears."
        Else
            lstSubstitutes.Visible = False
            lblInfo.Visible = True
            lblInfo.Caption = "No Tactical Substitutes are available."
        End If
    ElseIf pCurrSub = 3 Then
        If gRdrRepMode = 1 And pRdrRep(pCurrRdr) > 0 And lstSubstitutes.ListCount > 0 Then
            lstSubstitutes.Visible = True
            lblInfo.Visible = False
        ElseIf gRdrRepMode = 0 Then
            lstSubstitutes.Visible = False
            lblInfo.Visible = True
            lblInfo.Caption = "Replacements may not be used in this heat."
        ElseIf pRdrRep(pCurrRdr) = 0 Then
            lstSubstitutes.Visible = False
            lblInfo.Visible = True
            lblInfo.Caption = "Rider Replacement is not being used for the selected rider."
        Else
            lstSubstitutes.Visible = False
            lblInfo.Visible = True
            lblInfo.Caption = "No Replacements are available."
        End If
    End If
    
    If lstSubstitutes.ListCount > 0 And lstSubstitutes.ListIndex < 0 Then
        lstSubstitutes.Selected(0) = True
    End If
        
End Sub

Private Sub ConfigForm()

    Dim Title As String                 ' Form caption
    Dim Rider As Integer                ' Counter variable
    Dim CtrlPos As Integer              ' Used to position controls on form
    
    ' Resets Heat Editor configuration
    pCurrRdr = 1: pCurrSub = 1
    ReDim pLineup(8), pTeamNo(8), pRdrRep(8), pHandicap(8)
    ReDim pSubType(8), pWithdrawn(8)
  
    lstLineup.Clear
    lstLineup.Height = pNumStarters * 195 + 205
    
    ' Creates form title
    If gHeatTitle <> "" Then
        Title = gHeatTitle
    Else
        Title = "Heat " + Format(gHeat + 1, "#0")
    End If
  
    ' Compiles lineup list
    If gGate = 0 Then
        Title = Title + ": Line-up"
        For Rider = 1 To pNumStarters
            If gLineup(Rider, 2) = 0 And gLineup(Rider, 3) > 0 Then
                pTeamNo(Rider) = gLineupNo(gLineup(Rider, 1))
                If gControl(pTeamNo(Rider)) = 1 Then gLineup(Rider, 1) = 0
            Else
                pLineup(Rider) = gLineup(Rider, 1)
                pTeamNo(Rider) = gLineupNo(gLineup(Rider, 1))
                pHandicap(Rider) = gLineup(Rider, 5)
                If pLineup(Rider) <> 0 And pLineup(Rider) = gRdrRepFac(pTeamNo(Rider), 1) Then
                    pRdrRep(Rider) = pLineup(Rider)
                End If
            End If
            UpdateLineup Rider
            lstLineup.ItemData(lstLineup.NewIndex) = Rider
        Next Rider
    Else
        pLineup(gGate) = gLineup(gGate, 1)
        pTeamNo(gGate) = gLineupNo(gLineup(gGate, 1))
        pHandicap(gGate) = gLineup(gGate, 5)
        
        UpdateLineup gGate
        lstLineup.ItemData(lstLineup.NewIndex) = gGate
    
        ' Appends additional information to form title
        If gRideCode(pLineup(gGate)) = 2 Then
            Title = Title + " : Injury"
        ElseIf pHandicap(gGate) > 0 Then
            Title = Title + " : Start Penalty"
        Else
            Title = Title + " : Exclusion"
        End If
    
        ' Hides unnecessary controls
        cmdCancel.Visible = False
        cmdWithdraw.Visible = False
        cmdReset.Top = cmdStart.Top + 495
        cboHandicap.Top = cmdReset.Top + 495
        lblHandicap.Top = cmdReset.Top + 495
    End If
    
    ' Highlights first rider in lineup list
    lstLineup.Selected(0) = True
  
    ' Updates form title
    frmHeatMgr.Caption = Title
  
    ' Changes frame title for Scratch Races
    If gInteractive = 2 Then
        fraReplacements = "Available Riders"
    End If
    
    ' Positions controls on form
    fraReplacements.Top = lstLineup.Height + 225
    
    If gInteractive = 2 Then
        
        If gGate = 0 Then
            If pNumStarters < 4 Then
                lstSubstitutes.Height = 195 * (8 - pNumStarters) + 60
                lblInfo.Height = 195 * (8 - pNumStarters) + 60
            Else
                lstSubstitutes.Height = 840
                lblInfo.Height = 870
            End If
            fraReplacements.Height = lstSubstitutes.Height + 795
        Else
            fraReplacements.Height = lstSubstitutes.Height + 450
        End If
        
        lstSubstitutes.Top = 270
        lblInfo.Top = 270
        lblHandicap.Top = fraReplacements.Height - 420
        cboHandicap.Top = fraReplacements.Height - 465
        
    ElseIf gNumTeams = 1 Or gSupportComp = True Then
    
        Select Case pNumStarters
            Case 2, 3
                lstSubstitutes.Height = 195 * (6 - pNumStarters) + 60
                lblInfo.Height = 195 * (6 - pNumStarters) + 60
        End Select
            
        lstSubstitutes.Top = 270
        lblInfo.Top = 270
        fraReplacements.Height = lstSubstitutes.Height + 450
    
    Else
    
        CtrlPos = 270
        
        If gGate > 0 Then
            lblSubstitutes.Visible = True
            lblSubstitutes.Top = CtrlPos
            CtrlPos = CtrlPos + 225
        ElseIf gTacSubs = 2 Or gRdrRep > 0 Then
            optSubstitutes(1).Visible = True
            optSubstitutes(1).Top = CtrlPos
            CtrlPos = CtrlPos + 270
            If gTacSubs = 2 Then
                optSubstitutes(2).Visible = True
                optSubstitutes(2).Top = CtrlPos
                CtrlPos = CtrlPos + 270
            End If
            If gRdrRep > 0 Then
                optSubstitutes(3).Visible = True
                optSubstitutes(3).Top = CtrlPos
                CtrlPos = CtrlPos + 270
            End If
        Else
            lblSubstitutes.Visible = True
            lblSubstitutes.Top = CtrlPos
            CtrlPos = CtrlPos + 225
        End If
        
        lstSubstitutes.Top = CtrlPos + 45
        lblInfo.Top = CtrlPos + 45
        fraReplacements.Height = CtrlPos + lstSubstitutes.Height + 225
  
    End If
  
    ' Dimensions form
    If gGate = 0 And lstLineup.Height + fraReplacements.Height + 730 < 2515 Then
        frmHeatMgr.Height = 2515
    Else
        frmHeatMgr.Height = lstLineup.Height + fraReplacements.Height + 730
    End If
    
End Sub

Public Sub AppendInfo(Gate As Integer, Temp As String, Team As Integer)
    
    ' Appends team affliations to rider names if necessary
    If gNumTeams > 1 And Team <> 0 Then
        If Temp <> "" Then Temp = Temp + Space(1)
        If Len(gTmName(Team)) < 2 Then
            Temp = Temp + "[T" + Format(Team, "0") + "]"
        Else
            Temp = Temp + "[" + Left(gTmName(Team), 2) + "]"
        End If
    End If
    
    ' Appends additional information to rider names if necessary
    If gRdrName(pLineup(Gate)) <> "" Then
        If pLineup(Gate) = gRdrRepFac(gLineupNo(pLineup(Gate)), 1) And gSupportComp = False Then
            Temp = Temp + " - R/R"
        ElseIf gRdrAvge(pLineup(Gate)) = 0 And gRiding(pLineup(Gate)) = 2 Then
            Temp = Temp + " - Injured"
        ElseIf gRideCode(pLineup(Gate)) > 0 And gRideCode(pLineup(Gate)) < 5 Then
            Temp = Temp + " - " + gHeatCode(gRideCode(pLineup(Gate)))
        ElseIf gRdrAvge(pLineup(Gate)) = 0 Or pWithdrawn(Gate) = 1 Then
            Temp = Temp + " - " + gHeatCode(1)
        ElseIf gLineup(Gate, 4) + pHandicap(Gate) > 0 Then
            Temp = Temp + " - " + Format(gLineup(Gate, 4) + pHandicap(Gate)) + " m"
        End If
    ElseIf gLineup(Gate, 2) = 0 And gLineup(Gate, 3) > 0 And gLineup(Gate, 4) > 0 Then
        Temp = Temp + " - " + Format(gLineup(Gate, 4)) + " m"
    End If

End Sub

Private Sub cboHandicap_KeyPress(KeyAscii As Integer)

    ' Checks string length and discards non-numeric keypresses
    Select Case KeyAscii
        Case 8, 48 To 57
            If Len(cboHandicap.Text) = 2 And KeyAscii <> 8 Then
                KeyAscii = 0
            End If
        Case Else
            KeyAscii = 0
    End Select
    
End Sub

Private Sub UpdateLineup(Rider As Integer)
    
    Dim Temp As String                  ' Temporary variable
    
    ' Updates rider lineup
    
    If pLineup(Rider) = 0 And gLineup(Rider, 2) = 0 And gLineup(Rider, 3) > 0 Then
        Temp = "Nominated Rider"
    Else
        Temp = gRdrName(pLineup(Rider))
    End If
 
    AppendInfo Rider, Temp, pTeamNo(Rider)
    
    If gGate = 0 Then
        lstLineup.List(Rider - 1) = Format(Rider) + ".  " + Temp
    Else
        lstLineup.List(0) = Format(Rider) + ".  " + Temp
    End If

End Sub

Private Function SubDetails(Rdr As Integer) As String

    ' Generates name and average of substitute
    SubDetails = gRdrName(Rdr)
    If gRdrAvge(Rdr) = 0 Then
        SubDetails = SubDetails + " (N/A)"
    Else
        If gNumTeams > 1 And gHomeAdv = 1 And gLineupNo(Rdr) = 1 Then
            SubDetails = SubDetails + Format(gRdrAvge(Rdr) * gMaxAvge / 1.05, " (0.00)")
        Else
            SubDetails = SubDetails + Format(gRdrAvge(Rdr) * gMaxAvge, " (0.00)")
        End If
    End If
    
End Function
